image: cleanlang/ci:latest

test:
  before_script:
    - nitrile update
    - nitrile fetch
  script:
    - nitrile build --parallel-jobs=1
    - nitrile test --parallel-jobs=1

publish:
  needs:
    - test
  rules:
    - if: $CI_COMMIT_TAG
  script:
    - nitrile package --platform=any --arch=any
    - nitrile publish --targets=any-any
  artifacts:
    paths:
      - generic-diff-*.tar.gz
